package com.yuchen.saas.device.api.enums.scene;

/**
 * 场景联动规则uri 字典
 */
public enum DeviceSceneLinkageRuleActionUriEnum {


    ACTION_DEVICE_SETPROPERTY(1,"设备输出","action/device/setProperty"),
    ACTION_SCENE_TRIGGER(2,"规则输出","action/scene/trigger"),
    ACTION_EVENT_TRIGGERALARM(3,"告警输出","action/event/triggerAlarm"),
    ;
    private Integer value;
    private String name;

    private String uri;

    DeviceSceneLinkageRuleActionUriEnum(Integer value, String name, String uri){
        this.value=value;
        this.name=name;
        this.uri=uri;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
